PY2_LIBRARY()

OWNER(g:advisor)

PY_SRCS(
    models/__init__.py
    models/app.py
    models/categories.py
    models/client.py
    models/crypta.py
    models/lbs.py
    models/profile.py

    modifiers/base.py
    modifiers/explanation.py
    modifiers/imaging.py

    serializers/apps.py
    serializers/base.py
    serializers/device.py

    views/base.py
    views/device.py

    tests/views/__init__.py
    tests/views/device.py
    tests/fixtures.py
    tests/profile.py

    app_info_loader.py
    exceptions.py
    impression_id.py
    jafar.py
    tools.py
    urls.py
    user_agent_creator.py
)

PEERDIR(
    contrib/python/django-cache-memoize
    contrib/python/django/django-1.11
    contrib/python/djangorestframework
    contrib/python/gevent
    contrib/python/mongoengine
    contrib/python/pymongo
    contrib/python/pyOpenSSL
    contrib/python/raven
    contrib/python/requests
    contrib/python/six

    library/python/ylog
    library/python/yt
    library/python/deprecated/ticket_parser2

    yaphone/utils/geo

    yt/python/client_with_rpc
)

NO_CHECK_IMPORTS(yaphone.advisor.*.tests.*)

END()


RECURSE_FOR_TESTS(
    tests
)
