from jafar.tests.fixtures.mongo_configs import FAKE_LIFETIME, FAKE_EXCEPTIONAL_LIFETIME

personal_stats = {
    'value': (
        [
            (u'com.reddit.frontpage', None, [[6, 3], [1, 2]]),
            (u'com.instagram.android', None, [[2, 5], [4, 3]])
        ],
        [
            (u'com.reddit.frontpage', None, [[11, 2], [12, 3]]),
            (u'com.instagram.android', None, [[9, 4], [10, 4]])
        ]
    ),
    'response': {
        u'lifetime_seconds': FAKE_LIFETIME,
        u'stats': [
            {u'personal': 8,
             u'hourly': {u'9': 4, u'10': 4},
             u'package_name': u'com.instagram.android',
             u'weekly': {u'2': 5, u'4': 3}},
            {u'personal': 5,
             u'hourly': {u'11': 2, u'12': 3},
             u'package_name': u'com.reddit.frontpage',
             u'weekly': {u'6': 3, u'1': 2}}
        ]
    }
}

personal_stats_v2 = {
    'value': (
        [
            (u'com.reddit.frontpage', None, [[6, 3], [1, 2]]),
            (u'com.instagram.android', 'class1', [[1, 4], [3, 2]]),
            (u'com.instagram.android', 'class2', [[2, 5], [4, 3]])
        ],
        [
            (u'com.reddit.frontpage', None, [[11, 2], [12, 3]]),
            (u'com.instagram.android', 'class1', [[7, 2], [8, 2]]),
            (u'com.instagram.android', 'class2', [[9, 4], [10, 4]])
        ]
    ),
    'response': {
        u'lifetime_seconds': FAKE_LIFETIME,
        u'stats': [
            {u'personal': 6,
             u'hourly': {u'7': 2, u'8': 2},
             u'package_name': u'com.instagram.android',
             u'class_name': u'class1',
             u'weekly': {u'1': 4, u'3': 2}},
            {u'personal': 8,
             u'hourly': {u'9': 4, u'10': 4},
             u'package_name': u'com.instagram.android',
             u'class_name': u'class2',
             u'weekly': {u'2': 5, u'4': 3}},
            {u'personal': 5,
             u'hourly': {u'11': 2, u'12': 3},
             u'package_name': u'com.reddit.frontpage',
             u'weekly': {u'6': 3, u'1': 2}}
        ]
    }
}

general_stats = {
    'value': {
        u'com.instagram.android': [{
            'personal': 8,
            'hourly': {9: 4, 10: 4},
            'weekly': {2: 5, 4: 3},
            'package_name': u'com.instagram.android'
        }],
        u'com.reddit.frontpage': [
            {
                'personal': 5,
                'hourly': {11: 2, 12: 3},
                'weekly': {1: 2, 6: 3},
                'package_name': u'com.reddit.frontpage',
                'class_name': 'fake.reddit.class_name'

            },
            {
                'personal': 7,
                'hourly': {11: 2, 12: 5},
                'weekly': {1: 2, 6: 5},
                'package_name': u'com.reddit.frontpage',
                'class_name': 'fake.reddit.class_name_2'

            }
        ]
    },
    'response': {
        u'lifetime_seconds': FAKE_LIFETIME,
        u'stats': [
            {u'personal': 8,
             u'hourly': {u'9': 4, u'10': 4},
             u'package_name': u'com.instagram.android',
             u'weekly': {u'2': 5, u'4': 3}},
            {u'personal': 7,
             u'hourly': {u'11': 2, u'12': 5},
             u'package_name': u'com.reddit.frontpage',
             u'weekly': {u'6': 5, u'1': 2}}
        ]
    }
}

personal_stats_empty = {
    'value': (
        [
            (u'com.reddit.frontpage', None, [[6, 3], [1, 2]]),
            (u'com.instagram.android', 'class1', [[1, 4], [3, 2]]),
            (u'com.instagram.android', 'class2', [[2, 5], [4, 3]])
        ],
        [
            (u'com.reddit.frontpage', None, [[11, 2], [12, 3]]),
            (u'com.instagram.android', 'class1', [[7, 2], [8, 2]]),
            (u'com.instagram.android', 'class2', [[9, 4], [10, 4]])
        ]
    ),
    'response': {
        u'lifetime_seconds': FAKE_EXCEPTIONAL_LIFETIME,
        u'stats': []
    }
}
