PY3_LIBRARY()

OWNER(g:yaphone)

PEERDIR(
    library/python/resource
    library/python/startrek_python_client
    library/python/svn_version
    library/python/yenv
    library/python/ylog

    contrib/python/Authlib
    contrib/python/blinker
    contrib/python/diff-match-patch
    contrib/python/Jinja2
    contrib/python/Flask
    contrib/python/Flask-Admin
    contrib/python/Flask-Login
    contrib/python/flask-mongoengine
    contrib/python/mongoengine/py3-legacy
    contrib/python/pymongo
    contrib/python/pytz
    contrib/python/WTForms
    contrib/python/sqlalchemy/sqlalchemy-1.2

    yaphone/http_geobase_lookuper
    yaphone/localization_admin/static
    yaphone/localization_admin/templates
)

PY_SRCS(
    app.py
    db.py
    geobase.py
    helpers.py
    log.py
    secrets.py
    settings.py
    startrek.py
    version.py

    models/fields.py
    models/helpers.py
    models/details/__init__.py
    models/details/application_conditions.py
    models/details/cellular_operator.py
    models/details/clid.py
    models/details/device_model.py
    models/details/extended_params.py
    models/details/ip_range.py
    models/details/locale.py
    models/details/localization_conditions.py
    models/details/mobile_platform.py
    models/details/os_version.py
    models/details/screen_size.py
    models/details/time_range.py
    models/details/version_range.py
    models/details/version_range_application.py
    models/localization/__init__.py
    models/localization/data.py
    models/permissions/__init__.py
    models/permissions/permission.py
    models/support_info/__init__.py
    models/support_info/locale.py
    models/support_info/locales.py
    models/support_info/mobile_operator.py
    models/support_info/operation_system.py
    models/support_info/startrek_interaction.py
    models/support_info/yandex_app.py

    views/access.py
    views/fields.py
    views/form.py
    views/helpers.py
    views/validators.py
    views/widgets.py
    views/base_model/__init__.py
    views/base_model/base_cross_collection.py
    views/base_model/base_model.py
    views/common/__init__.py
    views/common/mode.py
    views/index/__init__.py
    views/index/index.py
    views/localization/__init__.py
    views/localization/projects.py
    views/permissions/__init__.py
    views/permissions/permissions.py
    views/support_info/__init__.py
    views/support_info/locales.py
    views/support_info/mobile_operators.py
    views/support_info/operation_systems.py
    views/support_info/startrek_interaction.py
    views/support_info/yandex_apps.py
)

END()
