NORMAL_DEVICE_ID = 1
CHAOTIC_CASES_DEVICE_ID = 2

NORMAL_EXISTING_DEVICE = {
    'device': 'Qualcomm',
    'target': 'eng',
    'os_version': '5.0.1',
    'build_version': '42',
}

CHAOTIC_CASES_DEVICE = {
    'device': 'rEAltEk',
    'target': 'UsErdeBUg',
    'os_version': '7.1.1_R2',
    'build_version': '804238',
}

NON_EXISTENT_DEVICE = {
    'device': 'Google',
    'target': 'user',
    'os_version': '4.4.3',
    'build_version': '24582348',
}

NO_UPDATES_DEVICE = {
    'device': 'YotaPhone',
    'target': 'eng',
    'os_version': '5.0.1',
    'build_version': '41.2',
}

MISSING_VERSIONS_DEVICE = {
    'device': 'Prestigo',
    'target': 'userdebug',
}

MISSING_INFO_DEVICE = {
    'os_version': '4.2.1',
    'build_version': '1',
}

NAME_ONLY_DEVICE = {
    'device': 'BIBAPHONE',
}


def get_yandex_tv_app():
    return {
        'filename': 'YandexLiveTv.apk',
        'platform_apis': True,
        'module_class': 'APPS',
        'certificate': 'platform',
        'privileged': True,
        'owner': 'yandex',
        'local_name': 'YandexLiveTv',
        'module_name': 'yandexlivetv',
    }


def get_yandex_services_app():
    return {
        'filename': 'YandexServices.apk',
        'platform_apis': False,
        'module_class': 'APPS',
        'certificate': 'platform',
        'privileged': True,
        'owner': 'yandex',
        'local_name': 'YandexServices',
        'module_name': 'yandexservices',
    }


def get_updater_app():
    return {
        'filename': 'updater.apk',
        'platform_apis': True,
        'module_class': 'APPS',
        'certificate': 'platform',
        'privileged': True,
        'owner': 'yandex',
        'local_name': 'YandexServices',
        'module_name': 'yandexservices',
        'module_tags': 'user',
    }


def get_bluetooth_app():
    return {
        'filename': 'bluetooth.apk',
        'platform_apis': True,
        'certificate': 'platform',
        'privileged': True,
        'local_name': 'Bluetooth',
        'module_tags': 'optional',
    }


def get_video_app():
    return {
        'filename': 'videpapp.apk',
        'local_name': 'VideoEditor',
    }


def get_messaging_app():
    return {
        'filename': 'messaging.apk',
        'module_tags': 'optional',
        'local_name': 'messaging',
        'certificate': 'platform',
    }
